# Uses of Class
org.springframework.jdbc.datasource.ConnectionHolder

Packages that use ConnectionHolder
Package
Description
org.springframework.jdbc.datasource
Provides a utility class for easy DataSource access, a PlatformTransactionManager for a single DataSource, and various simple DataSource implementations.

## Uses of ConnectionHolder in org.springframework.jdbc.datasource

Methods in org.springframework.jdbc.datasource that return ConnectionHolder
Modifier and Type
Method
Description
`ConnectionHolder`
JdbcTransactionObjectSupport.`getConnectionHolder()`
Return the ConnectionHolder for this transaction object.
`protected ConnectionHolder`
JdbcTransactionObjectSupport.`getConnectionHolderForSavepoint()`
Methods in org.springframework.jdbc.datasource with parameters of type ConnectionHolder
Modifier and Type
Method
Description
`void`
JdbcTransactionObjectSupport.`setConnectionHolder(ConnectionHolder connectionHolder)`
Set the ConnectionHolder for this transaction object.